package logic

import (
	"app.yhyue.com/moapp/jybase/common"
	"context"
	"jyBXBase/api/internal/types"
	"jyBXBase/rpc/bxbase"

	"github.com/zeromicro/go-zero/core/logx"
	"jyBXBase/api/internal/svc"
)

type AddLabelLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewAddLabelLogic(ctx context.Context, svcCtx *svc.ServiceContext) *AddLabelLogic {
	return &AddLabelLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *AddLabelLogic) AddLabel(req *types.AddLabel) (resp *types.CommonRes, err error) {
	res, err0 := l.svcCtx.Bxbase.Addlabel(l.ctx, &bxbase.AddlabelReq{
		UserId: req.UserId,
		Name:   req.Name,
		AppId:  req.AppId,
	})
	if err0 != nil {
		return &types.CommonRes{
			Err_code: -1,
			Err_msg:  "错误",
			Data:     nil,
		}, nil
	}
	return &types.CommonRes{
		Err_code: common.IntAll(res.ErrCode),
		Err_msg:  res.ErrMsg,
		Data:     res.Labid,
	}, nil
}
